- entityDefinitions:
  - IDI_Task_ProductStyle_View:    '{53ccbb0c-d95a-4d2f-b460-7087f0a433e6}'
  - IDI_Task_ProductStyle_Edit:    '{da91b32c-b5ea-49ae-b9a5-49382e06465c}'
  - IDE_ProductStyle_View:        '{e6817815-4db0-409c-81e9-a1b5de4fa899}'
  - IDE_ProductStyle_Edit:        '{ae56b6b6-6a0f-48d3-84a4-bf0068e52962}'
  - IDE_ProductStyle_Definition:  '{480c8f13-18b0-43a1-92dc-346343b2fadf}'
  - IDI_TaskCategory_ProductStyle: '{7e67b674-c998-45fe-b472-da091897a847}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_ProductStyle;'
    name: 'Product Style'

  - sequenceTask: '&IDI_Task_ProductStyle_View;'
    name: 'View Product Style'
    initiatingElement: '&IDE_ProductStyle_View;'
    taskCategory: '&IDI_TaskCategory_ProductStyle;'

  - sequenceTask: '&IDI_Task_ProductStyle_Edit;'
    name: 'Edit Product Style'
    initiatingElement: '&IDE_ProductStyle_Edit;'
    taskCategory: '&IDI_TaskCategory_ProductStyle;'

  - element: '&IDE_ProductStyle_View;'
    name: 'View Product Style'
    elementContents:
    - globalIdentifier: '{71057f88-cbdc-4dcc-9293-60b208252fe3}'
      defaultDataType: '&IDC_ProductStyle;'
      label: 'Product Style'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{bac0590e-7c77-48fa-96a8-66d0526cceda}'
      defaultDataType: '&IDE_ProductStyle_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductStyle_Edit;'
    name: 'Edit ProductStyle'
    elementContents:
    - globalIdentifier: '{2c8eef30-5ef0-4cb8-ac15-1616fa2d3bd5}'
      defaultDataType: '&IDC_ProductStyle;'
      label: 'ProductStyle'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{2d5e57ee-5873-487e-80c0-90810939c2e7}'
      defaultDataType: '&IDE_ProductStyle_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ProductStyle_Definition;'
    name: 'ProductStyle subedits'
    elementContents:
    - globalIdentifier: '{f10ca3f1-0bfd-4b3e-9605-06be54f48ea9}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{6b64a3dc-84c8-4956-a007-4b0f92c52420}'
      defaultDataType: '&IDA_Description;'